Summary:        rpm macros for Vine Linux
Summary(ja):    Vine Linux用rpmマクロ
Name:           vine-rpm-macros
Version:        9
Release:        1%{?_dist_release}
Group:          system
Vendor:         Project Vine
Distribution:   Vine Linux

License:        GPL2
Source0:        rpmrc
Source1:        macros.vine
Source2:        macros.dwz
Source3:        macros.ldconfig
Source4:        macros.vpath

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
Requires:       rpm

%description
This package contains rpm macros for Vine Linux.

%description -l ja
このパッケージはVine Linux用のrpmマクロを収録しています。


%package -n     vine-rpm-build-macros
Summary:        rpm macros to build packages for Vine Linux.
Summary(ja):    Vine Linuxパッケージ作成用rpmマクロ
Requires:       rpm-build
Requires:       perl-generators
Requires:       python-rpm-macros
Requires:       python3-rpm-macros
Requires:       debugedit

%description -n vine-rpm-build-macros
This package contains rpm macros to build packages for Vine Linux.

%description -n vine-rpm-build-macros -l ja
このパッケージはVine Linuxのパッケージ作成用rpmマクロを収録しています。


%debug_package


%prep
%setup -n vine-rpm-macros-%{version} -T -c


%build


%install
%{__rm} -rf %{buildroot}
install -Dpm644 %{SOURCE0} %{buildroot}/usr/lib/rpm/vine/rpmrc
install -Dpm644 %{SOURCE1} %{buildroot}/usr/lib/rpm/macros.d/macros.vine
install -Dpm644 %{SOURCE2} %{buildroot}/usr/lib/rpm/macros.d/macros.dwz
install -Dpm644 %{SOURCE3} %{buildroot}/usr/lib/rpm/macros.d/macros.ldconfig
install -Dpm644 %{SOURCE4} %{buildroot}/usr/lib/rpm/macros.d/macros.vpath


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
/usr/lib/rpm/vine/*
/usr/lib/rpm/macros.d/*

%files -n vine-rpm-build-macros
%defattr(-,root,root)
#{_fileattrsdir}/*
#{_rpmconfigdir}/metainfo.prov


%changelog
* Tue Jul 09 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 9-1
- enabled LTO.
- added macros.{ldconfig,vpath}.

* Fri Jun 07 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 8-1
- added "-march=x86-64-v2" to %%optflags on x86_64.

* Wed May 08 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 7-1
- added macros.dwz.

* Sat Mar 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6-1
- added %%_docdir_fmt.

* Tue Mar 09 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5-1
- imported some macros from redhat-rpm-config.

* Mon Mar 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4-1
- imported some macros from redhat-rpm-config.

* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3-1
- imported some scriptlets from redhat-rpm-config.

* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2-1
- built for rpm-4.16.

* Sat May 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1-1
- initial build.
